package com.ozs.mdm.dto;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

/**
 * 
 * @ClassName: ColumnInfoDTO
 * @Description:字段信息
 * @author: Zhao You Kai
 * @date: Mar 7, 2019 11:11:50 AM
 */
public class ColumnInfoDTO {
	@ApiModelProperty("ID")
	private String id;
	@ApiModelProperty("字段名称")
	private String columnName;
	@ApiModelProperty("字段描述")
	private String columnComment;
	@ApiModelProperty("字段序列号")
	private Integer columnCode;
	@ApiModelProperty("字段序列号+C字符串")
	private String columnCodeValue;
	@ApiModelProperty("字段所属表ID")
	private String tableId;
	@ApiModelProperty("表名称")
	private String tableName;
	@ApiModelProperty("表描述（表中文名）")
	private String tableComment;
	@ApiModelProperty("所属数据库ID")
	private String databaseId;
	@ApiModelProperty("数据库名称")
	private String databaseName;
	@ApiModelProperty("资源名称(数据库中文描述)")
	private String resourceName;

	@ApiModelProperty("更新时间")
	private Date updateTime;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getColumnName() {
		return columnName;
	}

	public void setColumnName(String columnName) {
		this.columnName = columnName;
	}

	public String getColumnComment() {
		return columnComment;
	}

	public void setColumnComment(String columnComment) {
		this.columnComment = columnComment;
	}

	public Integer getColumnCode() {
		return columnCode;
	}

	public void setColumnCode(Integer columnCode) {
		this.columnCode = columnCode;
	}

	public String getColumnCodeValue() {
		return columnCodeValue;
	}

	public void setColumnCodeValue(String columnCodeValue) {
		this.columnCodeValue = columnCodeValue;
	}

	public String getTableId() {
		return tableId;
	}

	public void setTableId(String tableId) {
		this.tableId = tableId;
	}

	public String getTableName() {
		return tableName;
	}

	public void setTableName(String tableName) {
		this.tableName = tableName;
	}

	public String getTableComment() {
		return tableComment;
	}

	public void setTableComment(String tableComment) {
		this.tableComment = tableComment;
	}

	public String getDatabaseId() {
		return databaseId;
	}

	public void setDatabaseId(String databaseId) {
		this.databaseId = databaseId;
	}

	public String getDatabaseName() {
		return databaseName;
	}

	public void setDatabaseName(String databaseName) {
		this.databaseName = databaseName;
	}

	public String getResourceName() {
		return resourceName;
	}

	public void setResourceName(String resourceName) {
		this.resourceName = resourceName;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

}
